" Numbers
set number
set relativenumber

" Indentation
set autoindent
" set filetype indent on

" Tab width
" set expandtab
set noexpandtab
set smarttab
set tabstop=4
set shiftwidth=4
set shiftround

" Search
set hlsearch
set ignorecase
set incsearch
set smartcase

" Performance
set complete-=i
set lazyredraw

" Rendering
set display+=lastline
set encoding=utf-8
set linebreak
set scrolloff=3
set sidescrolloff=5
set wrap
syntax on

" Interface
set laststatus=2
set wildmenu
set tabpagemax=50
set noerrorbells
" set visualbell
" set mouse=a
set title

" Folding
set foldmethod=indent
set foldnestmax=3
set nofoldenable

set autoread
set backspace=indent,eol,start
set confirm
set formatoptions+=j
set nomodeline
set noswapfile
set nrformats-=octal
set wildignore+=.pyc,.swp
